import { Component, Input, Output, EventEmitter } from "@angular/core";
import { NavController } from "ionic-angular";
import { LocationPickerPage } from "../pages/location-picker/location-picker.page";
import { StoreService } from "@justbe-angular/jb-store";
var HTML_TMPL_GETTER = " \n<ion-item no-padding>\n    <ion-label floating>\n        Select Location\n        <span ion-text color=\"danger\" *ngIf=\"required\">*</span>\n    </ion-label>\n    <ion-input (focus)=\"navigateLocationPicker()\" type=\"text\" [(ngModel)]=\"selectedLocation.locationText\"></ion-input>\n    <!--<ion-icon name=\"pin\" item-start></ion-icon>\n    <h2 text-wrap>{{selectedLocation?.locationText}}</h2>\n    <p text-wrap (click)=\"navigateLocationPicker()\">Click here to select location</p>-->\n</ion-item>\n";
var CSS_STYLES = "\n\n";
var LocationPickerComponent = (function () {
    function LocationPickerComponent(navCtrl, storeService) {
        this.navCtrl = navCtrl;
        this.storeService = storeService;
        this.selectedLocation = new Object();
        this.locationChange = new EventEmitter();
    }
    ;
    LocationPickerComponent.prototype.ngOnInit = function () {
        var _this = this;
        if (this.location) {
            this.selectedLocation = this.location;
        }
        this.storeService.getListener('jlp:onLocationSelect').subscribe(function (res) {
            _this.selectedLocation = res;
            _this.locationChange.emit(res);
        });
    };
    LocationPickerComponent.prototype.navigateLocationPicker = function () {
        this.navCtrl.push(LocationPickerPage);
    };
    LocationPickerComponent.prototype.ngOnDestroy = function () {
    };
    LocationPickerComponent.decorators = [
        { type: Component, args: [{
                    selector: 'location-picker-component',
                    template: HTML_TMPL_GETTER,
                    styles: [CSS_STYLES]
                },] },
    ];
    /** @nocollapse */
    LocationPickerComponent.ctorParameters = function () { return [
        { type: NavController, },
        { type: StoreService, },
    ]; };
    LocationPickerComponent.propDecorators = {
        "locationChange": [{ type: Output },],
        "required": [{ type: Input },],
        "location": [{ type: Input },],
    };
    return LocationPickerComponent;
}());
export { LocationPickerComponent };
//# sourceMappingURL=location-picker.component.js.map